package org.wcs.mapper.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.wcs.mapper.AppBaseScanMethodMapper;
import org.wcs.mapper.intf.AppBaseScanMethodService;
import org.wcs.model.po.app.AppBaseScanMethod;

import java.util.List;

@Service
public class AppBaseScanMethodDao extends ServiceImpl<AppBaseScanMethodMapper, AppBaseScanMethod> implements AppBaseScanMethodService {

    /**
     * 查询所有
     * @return 查询结果
     */
    @Override
    public List<AppBaseScanMethod> queryAll() {
        LambdaQueryWrapper<AppBaseScanMethod> wrapper = new LambdaQueryWrapper<>();
        wrapper.orderByAsc(AppBaseScanMethod::getMethodId);
        try {
            return super.list(wrapper);
        } catch (Exception e) {
            return null;
        }
    }
}
